<?php
/**
 * 
 * @file user_class_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/template.php');
require_once('class_user_class.php');

$url = 'mod_user_class/user_class_edit.php';
Common::checkAdminFileAuth($url); //check file authority
$clComUserClass = new ComUserClass();
$clTemplate = new Template(getAdminTemplateDir($url));

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'save_add':
        $clComUserClass -> addRecords();
        break;
    case 'save_edit':
        $clComUserClass -> editRecords();
        break;

    case 'copy':
        $clComUserClass -> copyRecords();
        break;

    case 'add':
    case 'edit':
    default :

        $clComUserClass -> layout_user_class_edit();
        break;
} 

?>